
From: Adrian Bunk <bunk@stusta.de>

This patch fixes an array overflow found by the Coverity checker.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/pnp/pnpacpi/rsparser.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/pnp/pnpacpi/rsparser.c~drivers-pnp-pnpacpi-rsparserc-fix-an-array-overflow drivers/pnp/pnpacpi/rsparser.c
--- 25/drivers/pnp/pnpacpi/rsparser.c~drivers-pnp-pnpacpi-rsparserc-fix-an-array-overflow	2005-04-10 15:14:00.000000000 -0700
+++ 25-akpm/drivers/pnp/pnpacpi/rsparser.c	2005-04-10 15:14:00.000000000 -0700
@@ -94,8 +94,8 @@ static void
 pnpacpi_parse_allocated_dmaresource(struct pnp_resource_table * res, int dma)
 {
 	int i = 0;
-	while (!(res->dma_resource[i].flags & IORESOURCE_UNSET) &&
-			i < PNP_MAX_DMA)
+	while (i < PNP_MAX_DMA &&
+			!(res->dma_resource[i].flags & IORESOURCE_UNSET))
 		i++;
 	if (i < PNP_MAX_DMA) {
 		res->dma_resource[i].flags = IORESOURCE_DMA;  // Also clears _UNSET flag
_
